Package org.apache.tools.ant.taskdefs.compilers

# Interface CompilerAdapter

All Known Implementing Classes:
  `DefaultCompilerAdapter`, `Gcj`, `Javac12`, `Javac13`, `JavacExternal`, `Jikes`, `Jvc`, `Kjc`, `Sj`

public interface CompilerAdapter
The interface that all compiler adapters must adhere to.

A compiler adapter is an adapter that interprets the javac's parameters in preparation to be passed off to the compiler this adapter represents. As all the necessary values are stored in the Javac task itself, the only thing all adapters need is the javac task, the execute command and a parameterless constructor (for reflection).

Since:
  Ant 1.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `execute()`
  Executes the task.
  `void`
  `setJavac(Javac attributes)`
  Sets the compiler attributes, which are stored in the Javac task.

- ## Method Details

  - ### setJavac

    void setJavac(Javac attributes)
    Sets the compiler attributes, which are stored in the Javac task.
    Parameters:
      `attributes` - the compiler attributes

  - ### execute

    boolean execute() throws BuildException
    Executes the task.
    Returns:
      has the compilation been successful
    Throws:
      `BuildException` - on error